Bug 254093 - Review Request: rubygem-rake - Ruby based make-like utility
Review Request: rubygem-rake - Ruby based make-like utility
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael DeHaan
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 254015 254016
  Show dependency treegraph
 
Reported: 2007-08-23 23:05 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-14 18:19:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lutter: fedora_requires_release_note-
mdehaan: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2007-08-23 23:05:03 EDT
Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-rake.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/rubygem-rake-0.7.3-2.src.rpm
Description: Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.
Comment 1 Michael DeHaan 2007-08-24 16:39:35 EDT
basics:

+ rpmlint clean for both src and built RPM
+ src.rpm builds fine
+ name good
+ license
+ general overview of specfile
+ docs/changelog

Ruby guidelines:

+ source good
+ requires/buildrequires good
+ provides good
+ prep and build empty
+ install to gemdir follows guidelines
+ marked noarch
+ installs fine
+ trivial test "rake" runs fine when installed

potential things to look at according to packaging doc:

- "Ruby packages must require ruby at build time with a BuildRequires: ruby, and
may indicate the minimal ruby version they need for building."

- "Each Ruby package must indicate the Ruby ABI version it depends on with a
line like Requires: ruby(abi) = 1.8"

Some of the above is implicit from gem BuildRequires/usage, though I would
imagine it can't hurt if the above information is known and set explicitly.

Let me know about the above and I'll approve this.   Everything else looks fine
according to the packaging spec.


Comment 2 David Lutterkort 2007-08-27 14:37:35 EDT
Thanks for the review .. both of those requires are taken care of by the
Requires/BR of rubygems; so listing them again would just be redundant.
Comment 3 Michael DeHaan 2007-08-27 14:45:51 EDT
Works for me.

*APPROVED*


Comment 4 David Lutterkort 2007-08-28 13:35:01 EDT
Bug shouldn't have been closed
Comment 5 David Lutterkort 2007-08-28 13:39:41 EDT
New Package CVS Request
=======================
Package Name: rubygem-rake
Short Description: Ruby based make-like utility
Owners: lutter, sseago
Branches: F-7, EL-5
InitialCC: 
Cvsextras Commits: yes

Note You need to log in before you can comment on or make changes to this bug.